<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon May 29 17:33:32 CEST 2017 -->
<title>G-Index</title>
<meta name="date" content="2017-05-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">K</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="../gui/RucksackGUIController.html#generateData-javafx.event.ActionEvent-">generateData(ActionEvent)</a></span> - Method in class gui.<a href="../gui/RucksackGUIController.html" title="class in gui">RucksackGUIController</a></dt>
<dd>
<div class="block">Represents the menu entry for generating sample data out of user input.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getCapacity--">getCapacity()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current value of the capacity property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getCurrentProfit--">getCurrentProfit()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current value of the currentKnapsackProfit property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getCurrentWeight--">getCurrentWeight()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current value of the currenKnapsacktWeight property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Item.html#getInfo--">getInfo()</a></span> - Method in class knapsack.<a href="../knapsack/Item.html" title="class in knapsack">Item</a></dt>
<dd>
<div class="block">Specifies the printed information about an item.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getItemsList--">getItemsList()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current list of all available items for the knapsack to work with.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getPackedInItems--">getPackedInItems()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current list of items which are packed in.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Item.html#getProfit--">getProfit()</a></span> - Method in class knapsack.<a href="../knapsack/Item.html" title="class in knapsack">Item</a></dt>
<dd>
<div class="block">Get the value of the itemProfit property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Item.html#getPWRatio--">getPWRatio()</a></span> - Method in class knapsack.<a href="../knapsack/Item.html" title="class in knapsack">Item</a></dt>
<dd>
<div class="block">Get the value of the itemPWRatio property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Knapsack.html#getStrategy--">getStrategy()</a></span> - Method in class knapsack.<a href="../knapsack/Knapsack.html" title="class in knapsack">Knapsack</a></dt>
<dd>
<div class="block">Get the current value of the strategy property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/Item.html#getWeight--">getWeight()</a></span> - Method in class knapsack.<a href="../knapsack/Item.html" title="class in knapsack">Item</a></dt>
<dd>
<div class="block">Get the value of the itemWeight property.</div>
</dd>
<dt><a href="../knapsack/strategies/Greedy.html" title="class in knapsack.strategies"><span class="typeNameLink">Greedy</span></a> - Class in <a href="../knapsack/strategies/package-summary.html">knapsack.strategies</a></dt>
<dd>
<div class="block">Represents the Greedy Strategy.</div>
</dd>
<dt><span class="memberNameLink"><a href="../knapsack/strategies/Greedy.html#Greedy--">Greedy()</a></span> - Constructor for class knapsack.strategies.<a href="../knapsack/strategies/Greedy.html" title="class in knapsack.strategies">Greedy</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../gui/package-summary.html">gui</a> - package gui</dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">G</a>&nbsp;<a href="index-6.html">I</a>&nbsp;<a href="index-7.html">K</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">P</a>&nbsp;<a href="index-10.html">R</a>&nbsp;<a href="index-11.html">S</a>&nbsp;<a href="index-12.html">T</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-4.html">Prev Letter</a></li>
<li><a href="index-6.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-5.html" target="_top">Frames</a></li>
<li><a href="index-5.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
